Request
curl -X POST https://sandbox.api.lendeasy.ai /v1/customers/lookup \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{
"identifierType": "SSN",
"value": "601114821"
}' await fetch(`https://sandbox.api.lendeasy.ai /v1/customers/lookup` , {
method: "POST" ,
headers: { Authorization: `Bearer ${token}` , "Content-Type" : "application/json" },
body: JSON.stringify({
"identifierType": "SSN",
"value": "601114821"
}),
});requests.post(
f"https://sandbox.api.lendeasy.ai /v1/customers/lookup" ,
headers={"Authorization" : f"Bearer {token}" },
json={
"identifierType": "SSN",
"value": "601114821"
},
)200 400 401 403 404 409
{
"items": [
{
"customerId": "412",
"status": "ACTIVE",
"customerType": "INDIVIDUAL",
"displayName": "Maya Chen",
"lastModifiedAt": "2026-09-15T14: 22 :08Z"
}
]
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "409",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "idempotency.request.in.flight",
"errors": []
}